#pragma once

#ifndef PEERSDK_PROTECT
#pragma message("please include PeerSDK.h instead of me")
#endif

/**
 * @brief Contains state information and event data associated with a <b>DisConnectionOccuredEvent</b> event.
 */
class PEERSDK_API LogListOccurredEventArgs
{
    PEERSDK_DECLARE_IMPL()
    
public:
    /** @name Constructors
     */
    //@{
    
    /**
     * @private
     */
    LogListOccurredEventArgs(_R const& e);
    
    /**
     * @private
     */
    ~LogListOccurredEventArgs();
    //@}
    
public:
    /** @name Properties
     */
    //@{
    
    /**
     * Gets the LogList.
     */
    PeerLogList LogList() const;
    
    /**
     * Gets the LogList.
     */
    PeerResult Result() const;
    //@}

private:
	PeerLogList m_LogList;
};


